Retrieves the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "2ecd79a0-fe0b-412f-aa25-524dabcd37cd",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "fb811f1f-013c-4f6c-8421-8aa044f1b84f",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "24e154b5-eb32-435b-9eba-bc2bc467b914",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "d08439bf-9567-4457-a597-d70137b544f1",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "6281a518-b997-4c93-b37e-5e2707aa4574",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "ae4fedce-f39e-409d-a909-1d661980ae9a",
      "db_currency_id": "5a78b509-cb5b-4b0c-b835-16eae3858036",
      "db_language_id": "355eb705-9bf9-4ba7-b1f0-567fa6b2172c",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-04T18:00:08.6778755+00:00"
    },
    "modified_dateutc": "2026-11-04T18:00:08.6778755+00:00"
  },
  "equipment_family_id": "547356d0-c9c7-4ce8-8ff7-186e0d361925",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "46370608-ad39-4e5b-9b02-401efb98b954",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "79a73c8b-ec6a-4282-af07-de1c424f739a",
    "_parent_code": "sample string 6",
    "sales_organization_id": "aa88675e-4165-4b90-934c-29cdecee34ad",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "6281a518-b997-4c93-b37e-5e2707aa4574",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "ae4fedce-f39e-409d-a909-1d661980ae9a",
      "db_currency_id": "5a78b509-cb5b-4b0c-b835-16eae3858036",
      "db_language_id": "355eb705-9bf9-4ba7-b1f0-567fa6b2172c",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-04T18:00:08.6778755+00:00"
    },
    "modified_dateutc": "2026-11-04T18:00:08.6778755+00:00"
  },
  "date_in_production_since": "2026-11-04T18:00:08.6778755+00:00",
  "date_out_of_production_since": "2026-11-04T18:00:08.6778755+00:00",
  "date_end_support": "2026-11-04T18:00:08.6778755+00:00",
  "sales_organization_id": "cba157c1-a4df-4b68-b775-41705b7e69e3",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "6281a518-b997-4c93-b37e-5e2707aa4574",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "ae4fedce-f39e-409d-a909-1d661980ae9a",
    "db_currency_id": "5a78b509-cb5b-4b0c-b835-16eae3858036",
    "db_language_id": "355eb705-9bf9-4ba7-b1f0-567fa6b2172c",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-04T18:00:08.6778755+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-11-04T18:00:08.6778755+00:00"
}